import { ProcessModal } from '../../Modal';
interface Props {
    urlInit: string;
    urlEndpointList?: string;
    urlSave: string;
    onSuccess?: () => void;
}
export default class EndpointModal extends ProcessModal {
    private props;
    private recipientInput;
    private source;
    static create(props: Props): EndpointModal;
    constructor(props: Props);
    _makeModal(): void;
    _makeHandle(): void;
    _handleActionClick(): void;
    _clearForm(): void;
    open(): void;
}
export {};
